iPad Sim City: works on 2.1 or will you need 2.2?

Discussion in 'iPhone and iPad Games' started by rocco_ict, Dec 12, 2008.

  1. rocco_ict

    rocco_ict Member

    Oct 20, 2008
    6
    0
    0
    Pretty simple question. I really don't feel like upgrading (quickpwning) my iPhone again.

    Monopoly requires 2.2; I hope Sim City doesn't follow suit since it's another game by EA.
     
  2. raps27

    raps27 Well-Known Member

    Aug 31, 2008
    187
    0
    0
    it most likely will, but not sure. I just re-jailbroke my itouch from 2.1 to 2.2 just for monopoly lol
     
  3. RaNd0m

    RaNd0m Active Member

    Dec 5, 2008
    27
    0
    0
    More than likely 2.2 .... you know maybe apple should get smart and incorporate some jailbroken features and sell them as a special app.... 1$ each = bling fools lol :p
     

Share This Page